import { defineStore } from 'pinia'

export const useResultsStore = defineStore({
    id: 'results',
    state: () => ({
        answers: [],
        playbooks: {},
        results: {},
        scores: {},
        count: null,
        compareCurrent: null
    }),
    actions: {
        store(key, data) {
            this[key] = JSON.parse(JSON.stringify(data))
        }
    }
})